Create a payment URLpost https://cert.api.firstdata.com/gateway/v2/payment-urlUse this to generate a payment link.Body ParamsAccepted request type: PaymentUrlRequest.storeIdstringlength ≤ 20An optional Outlet ID for clients that support multiple stores in the same developer app.clientLocaleobjectCountry and language of client.clientLocale objecttransactionAmountobjectrequiredAmount of the transaction.transactionAmount objecttransactionTypestringenumrequiredType of transaction to perform. Primary transaction types in requests include 'SALE', 'PREAUTH', 'CREDIT' and 'FORCED_TICKET'.SALEPREAUTHCREDITFORCED_TICKETVOIDRETURNPOSTAUTHPAYER_AUTHShow 8 enum valuesorderIdstringNote - Client Order ID if supplied by client. If not supplied by client, IPG will generate. The first 12 alphanumeric digits are passed down to Fiserv Enterprise reporting tool, Clientline and Data File Manager (DFM).billingobjectCustomer billing information.billing objectshippingobjectShipping information.shipping objectindustrySpecificExtensionsobjectIndustry-specific information.industrySpecificExtensions objecttransactionNotificationURLstringURL for notifying merchant of payment result.expirationint64Expiration time of the payment URL in seconds in the timestamp format.authenticateTransactionbooleanIf 3D secure should be applied.truetruefalsedynamicMerchantNamestringDynamic merchant name for the cardholder's statement.invoiceNumberstringInvoice number.purchaseOrderNumberstringPurchase order number.hostedPaymentPageTextstringlength ≤ 255The text to be displayed to the payer on the hosted payment page.ipstringIPv4 or IPv6 network address.revolvingOptionsobjectIndicates the options for revolving payment.revolvingOptions objectinstallmentOptionsobjectIndicates that the total sum payable is divided for payment at successive fixed times.installmentOptions objectrecurringDetailsobjectIndicates the options for revolving payment.recurringDetails objectbasketobjectIndicates basket of items.basket objectHeadersContent-TypestringenumrequiredDefaults to application/jsonContent type.application/jsonAllowed:application/jsonClient-Request-IdstringrequiredA client-generated ID for request tracking and signature creation, unique per request. This is also used for idempotency control. We recommend 128-bit UUID format.Api-KeystringrequiredKey given to merchant after boarding associating their requests with the appropriate app in Apigee.Timestampint64requiredEpoch timestamp in milliseconds in the request from a client system. Used for Message Signature generation and time limit (5 mins).Message-SignaturestringrequiredUsed to ensure the request has not been tampered with during transmission. The Message-Signature is the Base64 encoded HMAC hash (SHA256 algorithm with the API Secret as the key.) For more information, refer to the supporting documentation on the Developer Portal.Responses 200Success response. 400The request cannot be validated. 401The request was unauthorized. 404The requested resource doesn't exist. 409There was a problem communicating with the endpoint. 415Format that is not supported by the server for the HTTP method. 500An unexpected internal server error occurred.Updated 8 months ago